Skip to navigation

Get Connect log

View as Markdown

Retrieves a list of the 100 most recent Connect log entries for your account.

To use this method, you must be an account administrator and Connect must be enabled on your account.

The enableLog setting in the Connect configuration must be set to true to enable logging. Log entries are deleted after 15 days.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Query parameters

from_datestringOptional

The start date for a date range in UTC DateTime format.

Note: If this property is null, no date filtering is applied.

to_datestringOptional

The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned.

Note: If this property is null, the value defaults to the current date.

Response

Successful response.
failureslist of objectsOptional
An array of containing failure information from the Connect failure log.
logslist of objectsOptional
A list of Connect general logs.
totalRecordsstringOptional
The count of records in the log list.
typestringOptional

The type of this tab. Values are:

  • Approve
  • CheckBox
  • Company
  • Date
  • DateSigned
  • Decline
  • Email
  • EmailAddress
  • EnvelopeId
  • FirstName
  • Formula
  • FullName
  • InitialHere
  • InitialHereOptional
  • LastName
  • List
  • Note
  • Number
  • Radio
  • SignerAttachment
  • SignHere
  • SignHereOptional
  • Ssn
  • Text
  • Title
  • Zip5
  • Zip5Dash4

Errors

400
Bad Request Error